import { InjectionToken, ModuleWithProviders } from '@angular/core';
import { Store } from 'redux';
export declare const REDUX_MODULE_CONFIG: InjectionToken<IReduxConfig>;
export declare const IS_ROOT_MODULE: InjectionToken<boolean>;
export interface IReduxConfig {
    store?: Store<{}>;
}
export declare class ReduxModule {
    constructor(isRootModule?: boolean, config?: IReduxConfig);
    static forChild(): ModuleWithProviders;
    static forRoot(config?: IReduxConfig): ModuleWithProviders;
}
