import { ReduxReducerActionType } from '../reducer/reducer';
export declare type ReduxActionFunc<P = {} | void> = (...rest) => P;
export declare type ReduxActionDecorator = (target: object, propertyKey: string | symbol, descriptor: TypedPropertyDescriptor<ReduxActionFunc>) => void;
export interface IReduxActionMetadata {
    methodType: string;
    targetConstructor: any;
}
export declare function ReduxAction(customType?: string): ReduxActionDecorator;
export declare function getReduxActionMetadata(target: any): IReduxActionMetadata;
export declare function getActionTypeByFunction(type: ReduxReducerActionType<{}>): string;
export declare function getActionType(...rest: Array<string | symbol>): string;
